Name: switchdesk
Summary: A desktop environment switcher.
Version: 3.9.7
Release: 1
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/Desktops
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: textutils
BuildRequires: qt-devel libmng-devel gtk+-devel
Prefix: /usr

%description
The Desktop Switcher is a tool which enables users to easily switch
between various desktop environments that they have installed.

%package kde
Group: User Interface/Desktops
Summary: A KDE interface for the Desktop Switcher.
BuildPrereq: qt-devel >= 2

%description kde
The switchdesk-kde package provides the Desktop Switcher with a KDE
look and feel.

%package gnome
Group: User Interface/Desktops
Summary: A GNOME interface for the Desktop Switcher.

%description gnome
The switchdesk-gnome package provides a GNOME look and feel for the
Desktop Switcher program provided in the switchdesk package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
# pick up $QTDIR
unset QTDIR || : ; . /etc/profile.d/qt.sh
export KDEDIR=%{prefix}
#make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir} --disable-path-check
make

%install
export KDEDIR=%{prefix}
make install DESTDIR="$RPM_BUILD_ROOT" localedir=%{buildroot}%{_datadir}/locale
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{prefix}/bin/switchdesk
%{prefix}/bin/switchdesk-helper
%config(missingok) /etc/X11/applnk/System/switchdesk.desktop
%{prefix}/share/apps/switchdesk
%{_mandir}/man1/switchdesk.1*

%files kde
%defattr(-,root,root)
%{prefix}/bin/switchdesk-kde

%files gnome
%defattr(-,root,root)
%{prefix}/bin/switchdesk-gnome

%changelog
* Tue Aug 28 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.9.7-1
- Fix i18n (Patch from kmaraas@online.no, #52717)

* Tue Aug 28 2001 Trond Eivind Glomsrd <teg@redhat.com> 3.9.6-1
- Translation update

* Mon Mar 19 2001 Tim Powers <timp@redhat.com>
- fixed switchdesk-helper script, and cleaned up manpage so we don't
  refer to AnotherLevel etc (#31142)

* Mon Mar 12 2001 Preston Brown <pbrown@redhat.com>
- Xclients.fvwm was still missing (#31142)

* Thu Mar  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove dependency on kdesupport, we don't actually use it

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild
- add buildprereqs

* Fri Feb 16 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add ja.po to Makefile.am
- enable NLS
- Change tar archive to handle bzip2 archive correctly.

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- last translation update.

* Thu Jan 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix between selection and icon.
- Comment out the part that uses Makefile.cvs
- Version update.

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- i18n for europe included.

* Fri Dec 22 2000 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized
- Add Japanese resources

* Mon Dec 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix typo in switchdesk-helper
- Don't exclude ia64 anymore, Qt compiles by now.

* Thu Nov 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Handle KDE 2.0 (Bug #20371)
- Make the desktop names for the textmode frontend case insensitive
- Add Swedish translation to Desktop file (RFE #15362)
- Add German translation to Desktop file
- Fix up help text when neither switchdesk-kde nor switchdesk-gnome is
  installed
- Fix up %%description - we support WindowMaker, fvwm and twm.
- Add the missing Xclients.fvwm file

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Check whether the selected UI actually exists in textmode (Bug #16603)

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add docs for the KDE2 switch on command line (Bug #16743)
- Fix crash in switchdesk-gnome (Bug #16743)
- fix some minor oddities

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- fix /usr/share/apps/switchdesk/Xclients.kde2 for starting KDE2 correct
 
* Sat Aug 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- minor fix in spec file                                                        

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't use KDE2 calls in switchdesk-kde; we're Qt only for now.

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- defattr

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix up the Xclients.* scripts

* Wed Jul 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add enlightenment, twm, windowmaker to gnome version, remove AnotherLevel
- fix build with current KDE 2.0
- stop using egcs++
- fix a number of bugs
- ExcludeArch ia64 for now (kdelibs doesn't compile there)

* Fri Jul  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use egcs++ for now

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- add enlightenment, twm, windowmaker to kde version, remove AnotherLevel

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release
- use %%{_mandir}

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- update autoconf stuff (ia64)

* Sun Apr  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Port to KDE 2.0
- some spec file tweaks

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- ignore unknown desktop names

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- switchdesk works from the console
- minor bugfixes and cleanups
- man page added

* Mon Oct 04 1999 Preston Brown <pbrown@redhat.com>
- make the startup script a bit more probing/robust.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- convert .kdelnk file to a system-wide .desktop file.

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- added back in switchdesk.kdelnk file (kde still doesn't handle
  .desktop files)

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- fix up X display string handling

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- Xclients scripts installed with execute permission.

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- hardcode path to pidof (/sbin) because it isn't in default path.

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- converted kdelnk file to desktop file, moved location, removed KDEDIR

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- broke out separate kde, gnome packages.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- new group.

* Wed Feb 03 1999 Preston Brown <pbrown@redhat.com>
- initial revision of spec file.







